katonobo’s blog

プログラミング中心の雑記ブログ

【備忘録】【Solidity】【Truffle】エラー:Warning: Invoking events without "emit" prefix is deprecated.

Truffleで、コンパイルしたら出てきたエラー。

Warning: Invoking events without "emit" prefix is deprecated.

 これは、どうやらエラーが出たコードの先頭に「emit」をつければ良いだけ。

0.4.21バージョンから加えられたようです。

 

github.com

emit is a keyword introduced in solidity 0.4.21. The contracts have only been tested with solc 0.4.19. I think eventually we would upgrade, but for now it has to work with other tools (like solidity-coverage and solium).

Please avoid using the global truffle. Use the installed truffle with npx truffle.

I just noticed that it says run truffle migrate in README. We should probably change that.